package cn.wisenergy.service.app;


import cn.wisenergy.common.utils.R;
import cn.wisenergy.model.app.AccountInfo;
import cn.wisenergy.model.dto.AccountInfoQuery;
import com.github.pagehelper.PageInfo;


/**
 * @author 86187
 */
public interface AccountService {

    /**
     * 获取账户信息
     *
     * @param userId 用户id
     * @return 账户信息
     */
    R<AccountInfo> getByUserId(String userId);

    /**
     * 获取账户列表
     * @param query 查询条件
     * @return 账户列表
     */
    R<PageInfo<AccountInfo>> getList(AccountInfoQuery query);
}
